TDC(1)

NAME
tdc - stand alone clock that is designed to run as a dock application but is not required to

SYNOPSIS
tdc [options]

DESCRIPTION

Tiny Dockable Clock (tdc) is a simple and tiny dockable clock.

TDC is a stand-alone clock to X Window Systemd/X11 (e.g. XOrg or XFree86). It has minimal build and run-time dependencies. TDC works with virtually any EWMH-compliant window manager.

The behaviour and the look of TDC can be configured either via command line options or via configuration file. As usual, command-line options have precedence over options that are specified in the configuration file.

OPTIONS
This program follow the usual command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-t, --font
    The font face to use. Default is Mono.

-b, --bold
    Use a bold font.

-s, --fontsize
    The font size to use. Default is 12.0.

-c, --color
    The font color to use. Default is white.

-w, --width
    The width of the dockapp window. Default is 64.

-f, --format
    The time format to use. Default is %T. You can get format codes from the man page for strftime.

-ce, --enable-cal
    Enable the calendar feature which is opened by clicking the clock. -cf, --calfont The font that will be used in the calendar. Default is Mono.

-cs, --calfontsize
    The font size used in the calendar. Default is 14.0.

-ch, --hlcolor
    The highlight color to use in the calendar. Default is grey30.

-h, --help
    Show help information.

-v, --version
    Show version information

XDEFAULTS

The following options can be set in $HOME/.Xdefaults:
    tdc*font
    tdc*bold
    tdc*fontsize
    tdc*enable-cal
    tdc*calfont
    tdc*calfontsize
    tdc*color
    tdc*hlcolor
    tdc*width
    tdc*format

EXAMPLES

These are some samples you may be interested in.

tdc --width 110 --format "%x %H:%M"
tdc --width 130 --format "%x %H:%M:%S"
tdc --width 230 --format "%a, %d %b %Y %T %z"

FILES

$HOME/.Xdefaults — Specify defaults for tdc to refer to. This is discussed above.

BUGS

If you experience bugs, the best way to report them is to the upstream bug tracker. This can be found at http://bugs.launchpad.net/tdc.

AUTHOR
Part of TDC was originally written by Mikael Magnusson <mikachu@comhem.se> and Dave Foster <daf@minuslab.net>. It is maintained by Michael Lustfield <mtecknology@ubuntu.com>.

Other code to tdc as well as Debian packaging was contributed by Thayer Williams <thayer@archlinux.org>, Michael Lustfield <mtecknology@ubuntu.com>, and others.

This manual page was written by Michael Lustfield <mtecknology@ubuntu.com> and others.